Create Opportunity Appointment

Create a new appointment associated with an opportunity.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

opportunity_idstringRequired

Request

This endpoint expects an object.
titlestringRequired>=1 character
Appointment title
assigneeIdintegerRequired
ID of the user assigned to this appointment
dueDatestringRequiredformat: "date-time"

ISO 8601 scheduled date/time

descriptionstringOptional
Optional description

Response

Appointment created successfully
idintegerOptional
titlestringOptional
descriptionstring or nullOptional
dueDatestring or nullOptionalformat: "date-time"
isCompletedbooleanOptional
completedAtstring or nullOptionalformat: "date-time"
assigneeIdinteger or nullOptional
opportunityIdinteger or nullOptional
ID of the parent opportunity.
createdByinteger or nullOptional
createdAtstringOptionalformat: "date-time"
updatedAtstringOptionalformat: "date-time"

Errors

400
Bad Request Error
401
Unauthorized Error